<!DOCTYPE html>

<html>
    <head>

        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <title> HTML Attributes and Links</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">
       
    </head>
    <body>
        <!-- h2 tag will create a heading on our Web Page-->
        <h2 align="center" id="top">HTML Attributes</h2>
        
        <!-- align attribute - changes alignment of the paragraph -->
        <p align="center"><em>Modifiers of element behaviors.</em> </p>

        <h2>HTML Images</h2>
        <!-- &lt; and &gt; are called HTML entities. They are used to include special characters into text. Some characters
        used in HTML are as part of the code. -->
        <p align="right"><em>An image can be shown using &lt;img&gt; tag along with its <strong>src</strong></em></p>

        <!-- img tag is used to include images. img tag it creates inline elements. -->
        <!-- src attribute accepts a url -->
        <img src="https://place-puppy.com/300x300"/>
        <p>
            <code>
                &lt;img src ="https://place-puppy.com/300x300"/&gt;
            </code>
        </p>

        <p>Valid image extensions</p>

        <!-- In src attribute, we use relative linking. -->
        <img src="./images/zuitt.png">
        <p>
            <code>
                &lt;img src="./images/zuitt.png"/&gt;
            </code>
        </p>

        <p>Valid image extensions are the following:</p>

        <!-- type attribute changes the numbered points of the elements. 
        The default type is the integer numbers. Types : 1, a, A, i, I-->

        <!-- The reversed attribute reverses the order of the bullet points. -->

        <ol type="I">
            <li>png</li>
            <li>jpg</li>
            <li>gif</li>
            <li>svg</li>
            <li>webp</li>
        </ol>

        <h2>HTML Links</h2>
        

        <h4>Absolute Link</h4>
        <!-- A tag creates a hyperlink element when clicked will redirect to a different page -->
        <!-- href attribute meanins "hypertext reference" which is used to create a link to a different page. -->
        <!-- target = "_blank"  to open the absolute link in a new tab. -->
        <a href="https://zuitt.co/" target="_blank">I'm a hyperlink.</a>

        <h4>Relative Linking</h4>
        <ul>
            <!-- This will direct you to link.html -->
            <li>Hyperlink going to the <a href="./link.html">link.html</a></li>
            <!-- This will direct you to image.html -->
            <li>Go to <a href="./images/images.html">images.html</a></li>
            <!-- Go to top using id attribute -->
            <li>Go to  <a href="#top">top</a></li>
        </ul>
        
        <a href=""></a>
        <a href=""></a>

    </body>
</html>